Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,770,713 Members 38,965 Now Online
XDA Developers Android and Mobile Development Forum

[Q] An app messed up build.prop, please help!

Tip us?
 
Maveric-Romeo
Old
#1  
Junior Member - OP
Thanks Meter 1
Posts: 29
Join Date: Nov 2010
Unhappy [Q] An app messed up build.prop, please help!

Hello!

I'm a newbie and I really need help with my bricked(?) phone. First a short intro to how the problem came to be:

I own an old (but I still love it) and extremely rare phone, the original Samsung Galaxy Beam (I8520).
There is no official update for it, so it is stuck on Android 2.1.
The thing I miss is Netflix, and Netflix officially only supports 2.2+, so I thought I could try to fool Netflix into running anyway by editing puild.prop.
But to be safe, I used an app called Device Spoofer. In this I could try different model infos by selecting different phones in a list.

I tried a couple and found one it would except. Then it required a reboot, I believe, and now my phone won't start up.
I get to the Samsung logo and then a Starhub carrier logo, as usual, and then the phone just turns black.

There is supposed to be a way to get into download mode by holding some buttons, but that doesn't work on my phone. I have read something about it being a bug on some Samsung models. But anyway, I have bought one of those usb sticks that puts the phone into download mode, and it works.

I have tried to use ADB, but it doesn't seem to find my phone. I also tried to flash a firmware to the phone, but that doesn't work either, Odin gets stuck at "SetupConnection..". The only firmware I have found online is one called I8520STHJI1.tar, which is the last firmware version made for the phone and the version that is factory installed on my phone.

The I8520STHJI1.tar contains the following files:

cache.rfs
modem.bin
ramdisk.img
SS_DL.dll
system.rfs
userdata.rfs
zImage.img


Is there anything that can be done?

Thank you!
 
Maveric-Romeo
Old
#2  
Junior Member - OP
Thanks Meter 1
Posts: 29
Join Date: Nov 2010
After googling, it seems that I need a certain version Odin to be able to flash the i8520.

What I need is Multi Downloader v.1.7.3L

Does anybody have that?
Tags
beam, build.prop, i8520, odin
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes